#pragma once
#include "EntityState.h"
extern const int& CS_QuoteSTATENAME_GRAVITY;
class CS_QuoteGravity :
    public EntityState
{
public:
    CS_QuoteGravity();
    void State() override;
    void SetPhysice(bool bInWater) override;
    void SetGravityScale(float scale);
    //物理信息
   //地面
    float ground_gravity_default = 0x50 / ts;//地面重力
    float ground_max_fall_speed = 0x4ff / ts;//地面最大的下坠速度
    //水中
    float inwater_gravity_default = ground_gravity_default / 2;//水中重力
    float inwater_max_fall_speed = ground_max_fall_speed / 2;//水中最大下坠速度
    //使用中的物理信息
    float gravity_default;//当前默认重力
    float max_fall_speed;//当前最大下落速度
    float gravity;//当前重力
    //重力比例
    float gravity_scale = 1.0f;//重力比例
};

